%define reldate 20110321
%define cflags "CFLAGS=${RPM_OPT_FLAGS} -Wtrampolines"

Name: slmodem
Version: 2.9.11
Release: 0
License: SUSE-Permissive
Url: http://linmodems.technion.ac.il/
%define aname %{name}-%{version}-%{reldate}
%if 0
# Cannot download and service does not cache
Source: http://linmodems.technion.ac.il/packages/smartlink/%{aname}.tar.gz
%else
Source: %{aname}.tar.gz
%endif
Summary: Complementary modem support for ALSA
BuildRequires: kernel-desktop-devel help2man
Requires(post): module-init-tools
%ifarch x86_64
BuildRequires: glibc-devel-32bit gcc-32bit
%endif
Patch:	modversions-in-config.patch

%description
Slmodemd was initially written to complement the slamr driver of SmartLink modems.
But functionality was extended to work with modem drivers provided as part of the
 ALSA (Advanced Linux Sound Architecture) package.  This enabled
usage with a broad range of non-Smartlink chipset soft modems.
POTENTIALLY  supported modems in this family operate under soft modem controllers. 
Compatible primary modem controllers currently are :
      PCI  ID       modem controller  name/source     low_level_driver
    =======        ===============    =======         =================       
    1002:434d          ATI                            snd-atiixp-modem
    1002:4379          ATI                                 "
    1106:3068          VIA                            snd-via82xx-modem
    10b9:5451          ALI 5451 audio with modem      snd-ali5451
    8086:????           many Intel controllers        snd-intel8x0m
    10de:00d9          Nvidia Corp                          "
    1039:7013          SIS 630                              "
     Others?                                                "
Under each of these controllers, may different Subsystems can be hosted, 
and having a variety of modem codecs, with most meeting a mc97 standard.  
All are potentially supported by slmodemd with one exceptional family.

%post
mkdir -p "/lib/modules/$(uname -r)"
/sbin/depmod -a

%postun
/sbin/depmod -a

%prep
%setup -n %{aname}
%patch -p1

%build
for d in /usr/src/linux-*-*-obj
do make %{cflags} "KERNEL_DIR=${d}/%{_target_cpu}/desktop/"
%if 0
# find executable stack
# dsplib.o cannot be fixed because it is binary and proprietary
readelf -S modem/*.o
%endif
done

%install
for d in /usr/src/linux-*-*-obj
do %makeinstall %{cflags} "KERNEL_DIR=${d}/%{_target_cpu}/desktop/"
done
install -d '%{buildroot}%{_mandir}/man8'
help2man>'%{buildroot}%{_mandir}/man8/slmodemd.8' --no-discard-stderr -s8 '%{buildroot}%{_sbindir}/slmodemd'

%files
%defattr(-,root,root)
%ifarch i686
/lib/modules/*
%endif
%{_sbindir}/*
%{_mandir}/man8/*

%changelog
